CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
booster::locale::utf::utf_traits< CharType, 2 > Struct Template Reference

## Public Types
typedef CharType | char_type

## Static Public Member Functions
static bool | is_first_surrogate (uint16_t x)
static bool | is_second_surrogate (uint16_t x)
static code_point | combine_surrogate (uint16_t w1, uint16_t w2)
static int | trail_length (char_type c)
static bool | is_trail (char_type c)
static bool | is_lead (char_type c)
template<typename It >
static code_point | decode (It &current, It last)
template<typename It >
static code_point | decode_valid (It &current)
static int | width (code_point u)
template<typename It >
static It | encode (code_point u, It out)

## Static Public Attributes
static const int | max_width = 2

## Member Function Documentation

template<typename CharType >

static bool booster::locale::utf::utf_traits< CharType, 2 >::is_lead | ( | char_type | c | ) |
| inline static

Returns true if c is lead code unit, always true of UTF-32

References booster::locale::utf::illegal, and booster::locale::utf::incomplete.

template<typename CharType >

static bool booster::locale::utf::utf_traits< CharType, 2 >::is_trail | ( | char_type | c | ) |
| inline static

Returns true if c is trail code unit, always false for UTF-32

The documentation for this struct was generated from the following file:

- booster/locale/utf.h